/***************************************************************************
 *   Copyright (C) 2003 by Flameeyes                                       *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "kvbaeditfavorites.h"

#include <qlineedit.h>

#include <kfiledialog.h>
#include <kmessagebox.h>
#include <kconfig.h>
#include <kurlrequester.h>

kvbaeditfavorites::kvbaeditfavorites(QWidget *parent, const char *name, WFlags f)
 : KvbaAddFavoritesBase(parent, name, f)
{
	romPath->setMode(KFile::LocalOnly);
	ipsPath->setMode(KFile::LocalOnly);
	cfgPath->setMode(KFile::LocalOnly);
}


kvbaeditfavorites::~kvbaeditfavorites()
{
}

void kvbaeditfavorites::accept()
{
	if ( ! QFile::exists(KURL( romPath->url() ).path()))
	{
		KMessageBox::sorry( this, tr("ROM file not found"), tr("Error, impossible to add the favorite!") );
		return;
	}

	if ( !KURL( ipsPath->url() ).path().isEmpty() && ! QFile::exists(KURL( ipsPath->url() ).path()))
	{
		KMessageBox::sorry( this, tr("IPS patch file not found"), tr("Warning") );
		romPath->clear();
	}

	KGlobal::config()->setGroup("favorites");
		QStringList l;
		l += gameName->text();
		l += KURL( romPath->url() ).path();
		l += KURL( ipsPath->url() ).path();
		l += KURL( cfgPath->url() ).path();
		KGlobal::config()->writePathEntry( QString("fav") + QString::number( favnum ), l );

	QDialog::accept();
}

void kvbaeditfavorites::reject()
{
	QDialog::reject();
}
