/*
 * Copyright (C) 2003 Flameeyes <dgp85@users.sourceforge.net>
 */

#include "kvbamainwindow.h"

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <iostream>

#include <SDL.h>

static const char description[] =
    I18N_NOOP("VisualBoy Advance Frontend");

static const char version[] = "0.6";

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
	if(SDL_Init(SDL_INIT_TIMER|SDL_INIT_VIDEO|SDL_INIT_NOPARACHUTE)) {
		qFatal(I18N_NOOP("Failed to init SDL: %s"), SDL_GetError());
		return -1;
	}

	if(SDL_InitSubSystem(SDL_INIT_JOYSTICK)) {
		qFatal(I18N_NOOP("Failed to init joystick: %s"), SDL_GetError());
		return -2;
	}

	int numJoy = SDL_NumJoysticks();

	for(int i = 0; i < numJoy; i++)
		SDL_JoystickOpen(i);

	SDL_JoystickEventState(SDL_ENABLE);

	KAboutData about("kvba", I18N_NOOP("kvba"), version, description,
		KAboutData::License_GPL, "(C) 2003 Flameeyes", 0, 0, "dgp85@users.sourceforge.net");
	about.addAuthor( "Flameeyes", "http://flameeyes.web.ctonet.it/", "dgp85@users.sourceforge.net" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;
	kvbamainwindow *mainWin = 0;

	if (app.isRestored())
	{
		RESTORE(kvbamainwindow);
	} else {
		// no session.. just start up normally
		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

		mainWin = new kvbamainwindow();
		app.setMainWidget( mainWin );
		mainWin->show();
	
		args->clear();
	}

	int ret = app.exec();

	SDL_Quit();
	return ret;
}
